SDL_GetEventFilter(3)

NAME
SDL_GetEventFilter - Retrieves a pointer to he event filter

SYNOPSIS

#include "SDL.h"

SDL_EventFilter SDL_GetEventFilter(void);

DESCRIPTION

This function retrieces a pointer to the event filter that was previously set using SDL_SetEventFilter. An SDL_EventFilter function is defined as:

typedef int (*SDL_EventFilter)(const SDL_Event *event);

RETURN VALUE

Returns a pointer to the event filter or NULL if no filter has been set.

SEE ALSO

SDL_Event, SDL_SetEventFilter